import { Router } from '@angular/router';
import 'rxjs/operator/publish';
import { ConnectableObservable } from 'rxjs/Rx';
import { Alert } from '../../domain/alert/alert.model';
export declare class AlertService {
    private router;
    private observer;
    alerts: ConnectableObservable<Alert>;
    private preserveAlerts;
    constructor(router: Router);
    push(alert: Alert): void;
    clear(): void;
    error(message: string): void;
    warning(message: string): void;
    success(message: string): void;
    setPreserveAlerts(preserve: boolean): void;
    isPreserveAlerts(): boolean;
    message(message: string): void;
}
